Only in user_import_orig/: sample.txt
diff -urp user_import_orig/supported/nodeprofile.inc user_import/supported/nodeprofile.inc
--- user_import_orig/supported/nodeprofile.inc	2008-05-15 15:16:32.000000000 +0200
+++ user_import/supported/nodeprofile.inc	2008-06-15 14:36:34.000000000 +0200
@@ -1,4 +1,10 @@
 <?php
+// $Id: nodeprofiles.inc,v 1.17.2.5 2008/05/15 13:16:31 MegaGrunt Exp $
+
+/**
+ * @file
+ * Import node_import and cck module properties.
+ */
 
 // Functionality depends on node_import and CCK.
 if (module_exists('node_import') && module_exists('content')) {
@@ -43,16 +49,16 @@ if (module_exists('node_import') && modu
    * Implementation of hook_user_import_after_save().
    */
   function nodeprofile_user_import_after_save($settings, $account, $password, $fields) {
-    if (!is_array($fields['nodeprofile'])) return; 
+    if (!is_array($fields['nodeprofile'])) return;
 
     $nodeprofile_types = (array) nodeprofile_get_types();
 
     foreach (array_keys($nodeprofile_types) as $type) {
       $errors = array();
-      $node = new StdClass();
+      $node = new stdClass();
       $node->type = $type;
       $node->status = 1;
-      // Assign the mapped fields to the $node.    
+      // Assign the mapped fields to the $node.
       foreach ($fields['nodeprofile'] as $column_id => $column_data) {
         if (!empty($column_data)) {
           $node->$column_id = $column_data[0];
@@ -61,7 +67,7 @@ if (module_exists('node_import') && modu
 
       // Call the node import preparation.
       foreach (module_list() as $module_name) {
-        $function = $module_name . '_node_import_prepare';
+        $function = $module_name .'_node_import_prepare';
         if (function_exists($function)) {
           $errors = array_merge((array)$errors, (array)$function($node, $preview > 0));
         }
@@ -74,10 +80,10 @@ if (module_exists('node_import') && modu
         // Assign a default title if one has not already been mapped.
         if (!isset($node->title) || empty($node->title)) {
           $node->title = $node->name;
-        } 
- 
-        $node = node_submit($node);  
- 
+        }
+
+        $node = node_submit($node);
+
         // Look for an existing node. This works because profile node types
         // can only have one node per user.
         // change to:
@@ -90,7 +96,8 @@ if (module_exists('node_import') && modu
 
         node_save($node);
         // option to delete user if nodeprofile error
-      } else {
+      }
+      else {
         // report errors
       }
     }
diff -urp user_import_orig/supported/og.inc user_import/supported/og.inc
--- user_import_orig/supported/og.inc	2008-05-15 15:16:32.000000000 +0200
+++ user_import/supported/og.inc	2008-06-15 14:34:09.000000000 +0200
@@ -1,4 +1,10 @@
 <?php
+// $Id: og.inc,v 1.17.2.5 2008/05/15 13:16:31 MegaGrunt Exp $
+
+/**
+ * @file
+ * Import organic groups module properties.
+ */
 
 /**
  * Implementation of hook_user_import_form_fieldsets().
@@ -6,71 +12,70 @@
 function og_user_import_form_fieldset($import, $collapsed) {
 
   $groups = user_import_get_groups();
-  
+
   $groups_description = empty($groups) ? t('No Groups have been defined.') : t('Select which group(s) imported users should be assigned.');
-  
+
   $form['group_assign'] = array(
-      '#type' => 'fieldset',
-      '#title' => t('Group Assign'),
-      '#description' => $groups_description,
-      '#collapsible' => TRUE,
-      '#collapsed' => $collapsed, 
+    '#type' => 'fieldset',
+    '#title' => t('Group Assign'),
+    '#description' => $groups_description,
+    '#collapsible' => TRUE,
+    '#collapsed' => $collapsed,
   );
-  
-  if (!empty($groups)) {
 
+  if (!empty($groups)) {
     $form['group_assign']['groups'] = array(
       '#type' => 'checkboxes',
       '#title' => t('Groups'),
       '#options' => $groups,
       '#default_value' => $import['options']['groups'],
     );
-    
+
     $form['group_assign']['existing'] = array(
-        '#type' => 'fieldset',
-        '#title' => t('Existing Users'),
-        '#description' => t('Add to selected groups users who already have an account. Optionaly send them an email.'),
-        '#collapsible' => TRUE,
-        '#collapsed' => TRUE, 
-    );
-    
-     $form['group_assign']['existing']['existing_og_subscribe'] = array(
-          '#type' => 'radios',
-          '#title' => t('Subscribe'),
-          '#default_value' => $import['options']['existing_og_subscribe'],
-          '#options' => array(t('No'), t('Yes')),
-     ); 
-     
+      '#type' => 'fieldset',
+      '#title' => t('Existing Users'),
+      '#description' => t('Add to selected groups users who already have an account. Optionaly send them an email.'),
+      '#collapsible' => TRUE,
+      '#collapsed' => TRUE,
+    );
+
+    $form['group_assign']['existing']['existing_og_subscribe'] = array(
+      '#type' => 'radios',
+      '#title' => t('Subscribe'),
+      '#default_value' => $import['options']['existing_og_subscribe'],
+      '#options' => array(t('No'), t('Yes')),
+    );
+
     $form['group_assign']['existing']['existing_og_subject'] = array(
       '#type' => 'textfield',
       '#title' => t('Message Subject'),
       '#default_value' => $import['options']['existing_og_subject'],
-      '#description' => t('Customize the subject of the email sent to existing users being added to groups.') .' '. t('Available variables are:') .' !username, !site, !uri, !uri_brief, !mailto, !date, !login_uri, !edit_uri, !login_url' . $profile_string . '.',
+      '#description' => t('Customize the subject of the email sent to existing users being added to groups.') .' '. t('Available variables are:') .' !username, !site, !uri, !uri_brief, !mailto, !date, !login_uri, !edit_uri, !login_url'. $profile_string .'.',
     );
-    
+
     $form['group_assign']['existing']['existing_og_markup'] = array(
       '#type' => 'radios',
       '#title' => t('Email Format'),
       '#default_value' => empty($import['options']['existing_og_markup']) ? 0 : $import['options']['existing_og_markup'],
       '#options' => array(t('Plain Text'), t('HTML')),
     );
-     
+
     $form['group_assign']['existing']['existing_og_message'] = array(
       '#type' => 'textarea',
       '#title' => t('Email Body'),
       '#default_value' => $import['options']['existing_og_message'],
-      '#description' => t('Message to send existing users being added to groups. Users who are already in a group will not be sent a message.') .' '. t('Available variables are:') .' !username, !site, !uri, !uri_brief, !mailto, !date, !login_uri, !edit_uri, !login_url' . $profile_string . '.',
+      '#description' => t('Message to send existing users being added to groups. Users who are already in a group will not be sent a message.') .' '. t('Available variables are:') .' !username, !site, !uri, !uri_brief, !mailto, !date, !login_uri, !edit_uri, !login_url'. $profile_string .'.',
     );
-    
+
     $form['group_assign']['existing']['existing_og_css'] = array(
       '#type' => 'textarea',
       '#title' => t('Email CSS'),
       '#default_value' => $import['options']['existing_og_css'],
       '#description' => t('Use if sending HTML formated email.'),
     );
-  
+
   }
-        
+
   return $form;
 }
 
@@ -82,7 +87,7 @@ function og_user_import_pre_save($settin
 
   // user already exists - add to group?
   if (in_array('duplicate email', $errors)) og_user_import_group_add($settings, $email, $fields);
-  
+
   return;
 }
 
@@ -93,44 +98,44 @@ function og_user_import_after_save($sett
 
   $groups_selected = $settings['options']['groups'];
   $uid = $account->uid;
-   
+
   $organic_groups = user_import_get_groups();
-  if(empty($organic_groups)) return;
-  
+  if (empty($organic_groups)) return;
+
   $og_args = array('is_active' => 1, 'is_admin' => 0, 'mail_type' => 0, 'created' => time());
 
-  while(list($gid, $title) = each($organic_groups)) {
-  
+  while (list($gid, $title) = each($organic_groups)) {
+
       if (!empty($groups_selected[$gid])) og_save_subscription($gid, $uid, $og_args);
   }
-  
+
   return;
 }
 
 
 // add user to groups if already a member
 function og_user_import_group_add($settings, $email, $fields) {
-  
+
   if ($settings['setting'] != 'import') return;
-  
+
   $account = user_load(array('mail' => $email));
   if (!empty($settings['options']['existing_og_message'])) $profile = user_import_profile_load($account);
 
   $groups_subscribed = og_get_subscriptions($account->uid);
   $og_args = array('is_active' => 1, 'is_admin' => 0, 'mail_type' => 0, 'created' => time());
-  
-  foreach($settings['groups'] as $group) {
-    
+
+  foreach ($settings['groups'] as $group) {
+
     // is user member of group?
     if (!empty($group) && empty($groups_subscribed[$group])) {
-      
+
       // subscribe to group
       og_save_subscription($group, $account->uid, $og_args);
 
       if (!empty($settings['options']['existing_og_message'])) _user_import_send_email($account, $password, $profile, $settings['options']['existing_og_subject'], $settings['options']['existing_og_message'], $settings['options']['existing_og_markup'], $settings['options']['existing_og_css'], $settings['options']['subscribed']);
-      
+
     }
   }
 
   return;
-}
\ No newline at end of file
+}
diff -urp user_import_orig/supported/profile.inc user_import/supported/profile.inc
--- user_import_orig/supported/profile.inc	2008-05-15 15:16:32.000000000 +0200
+++ user_import/supported/profile.inc	2008-06-18 12:13:53.000000000 +0200
@@ -1,4 +1,10 @@
 <?php
+// $Id: profile.inc,v 1.17.2.5 2008/05/15 13:16:31 MegaGrunt Exp $
+
+/**
+ * @file
+ * Import profile module properties.
+ */
 
 /**
  * Implementation of hook_user_import_form_field_match().
@@ -16,7 +22,7 @@ function profile_user_import_form_field_
 function profile_user_import_data($settings, $column_settings, $module, $field_id, $data, $column_id) {
 
   if ($module!= 'profile') return;
-  
+
   return trim($data[$column_id]);
 }
 
@@ -24,19 +30,25 @@ function profile_user_import_data($setti
  * Implementation of hook_user_import_after_save().
  */
 function profile_user_import_after_save($settings, $account, $password, $fields) {
-
   // import info to profile
   if (is_array($fields['profile'])) {
       while (list ($fid, $data) = each ($fields['profile'])) {
-          profile_user_import_save_profile($fid, $account->uid, trim($data[0]));
+      	profile_user_import_save_profile($fid, $account->uid, trim($data[0]));
       }
   }
-  
+
   return;
 }
 
 function profile_user_import_save_profile($field, $uid, $value) {
-    
-    $profile = db_query("INSERT INTO {profile_values} (fid,uid,value) VALUES(%d,%d,'%s')", $field, $uid, $value);
+	$sql = db_query("SELECT value FROM {profile_values} WHERE fid = %d AND uid = %d", $field, $uid);
+	if ($row = db_fetch_object($sql)) {
+      $profile = db_query("UPDATE {profile_values} SET value = '%s' WHERE fid = %d AND uid = %d", $value, $field, $uid);		
+	}
+	else {
+      $profile = db_query("INSERT INTO {profile_values} (fid,uid,value) VALUES(%d,%d,'%s')", $field, $uid, $value);
+	}
     return;
-}
\ No newline at end of file
+}
+
+
diff -urp user_import_orig/supported/subscribed.inc user_import/supported/subscribed.inc
--- user_import_orig/supported/subscribed.inc	2008-05-15 15:16:32.000000000 +0200
+++ user_import/supported/subscribed.inc	2008-06-15 14:33:37.000000000 +0200
@@ -1,11 +1,17 @@
 <?php
+// $Id: subscribed.inc,v 1.17.2.5 2008/05/15 13:16:31 MegaGrunt Exp $
+
+/**
+ * @file
+ * Import subscribed module properties.
+ */
 
 /**
  * Implementation of hook_user_import_form_fieldsets().
  */
 function subscribed_user_import_form_fieldset($import, $collapsed) {
 
- if (module_exists('publication') && module_exists('schedule')) {
+  if (module_exists('publication') && module_exists('schedule')) {
 
     $publications = publication_select_publications('enewsletter');
     if (empty($publications)) return;
@@ -17,28 +23,28 @@ function subscribed_user_import_form_fie
         '#collapsed' => $collapsed,
         '#tree' => TRUE,
     );
-    
+
     foreach ($publications as $publication) {
-    
+
       $type = $publication->type;
-      
+
       $form['subscribed'][$type] = array(
           '#type' => 'fieldset',
           '#title' => check_plain($type),
       );
-      
+
     }
-    
+
     reset($publications);
     $subscribed = $import['options']['subscribed'];
- 
+
     foreach ($publications as $publication) {
-      
+
       $options = array();
       $schedules = schedule_select_schedules($type, $publication->publication_id);
       $options[0] = t('No Subscription');
-      
-      foreach ($schedules as $schedule) {                     
+
+      foreach ($schedules as $schedule) {
         $options[ $schedule['schedule_id'] ] = $schedule['schedule_title'];
       }
 
@@ -51,10 +57,10 @@ function subscribed_user_import_form_fie
         '#options' => $options,
         '#description' => check_plain($publication->description),
       );
-      
+
     }
   }
-  
+
   return $form;
 }
 
@@ -62,31 +68,31 @@ function subscribed_user_import_form_fie
  * Implementation of hook_user_import_after_save().
  */
 function subscribed_user_import_after_save($settings, $account, $password, $fields) {
-   
+
   if (!module_exists('publication') || !module_exists('schedule') || !module_exists('identity_hash') || empty($settings['options']['subscribed'])) return;
-  
+
   $subscribed_settings = $settings['options']['subscribed'];
   $uid = $account->uid;
 
-  if (is_array($subscribed)) {  
-	
+  if (is_array($subscribed_settings)) {
+
     while (list($type, $type_subscriptions) = each($subscribed_settings)) {
 
-      $subscriptions = $type_subscriptions; 
+      $subscriptions = $type_subscriptions;
 
-			foreach($type_subscriptions as $publication_id => $schedule) {
-	    	if (empty($schedule[0])) unset($subscriptions[$publication_id]);
-			}
+      foreach ($type_subscriptions as $publication_id => $schedule) {
+        if (empty($schedule[0])) unset($subscriptions[$publication_id]);
+      }
 
-			$publications = publication_select_publications_and_terms($type);
+      $publications = publication_select_publications_and_terms($type);
 
       if (!empty($publications) && !empty($subscriptions)) {
         subscribed_set_subscriptions($type, $uid, $publications, $subscriptions);
-        subscribed_set_subscriptions_terms($type, $uid, $publications, $subscriptions); 
+        subscribed_set_subscriptions_terms($type, $uid, $publications, $subscriptions);
         identity_hash_set_hash($uid);
       }
 
     }
   }
   return;
-}
\ No newline at end of file
+}
diff -urp user_import_orig/supported/user_import.inc user_import/supported/user_import.inc
--- user_import_orig/supported/user_import.inc	2008-05-15 15:16:32.000000000 +0200
+++ user_import/supported/user_import.inc	2008-06-18 08:11:46.000000000 +0200
@@ -1,8 +1,14 @@
 <?php
+// $Id: user_import.inc,v 1.17.2.5 2008/05/15 13:16:31 MegaGrunt Exp $
+
+/**
+ * @file
+ * Import users from a comma separated file (csv).
+ */
 
 /**
  * Implementation of hook_user_import_form_fieldsets().
- * Add fieldsets to an import settings form. 
+ * Add fieldsets to an import settings form.
  */
 function user_import_user_import_form_fieldset($import, $collapsed) {
 
@@ -10,95 +16,96 @@ function user_import_user_import_form_fi
   _user_import_edit_template_fields($form, $import);
   _user_import_edit_settings_fields($form, $import, $collapsed);
   _user_import_edit_remove_fields($form, $import);
-  
+
   return $form;
 }
- 
+
 
 /**
  * Implementation of hook_user_import_after_save().
  */
 function user_import_user_import_after_save($settings, $account, $password, $fields) {
-   
+
   if (!empty($settings['send_email'])) _user_import_send_email($account, $password, $fields, $settings['options']['subject'], $settings['options']['message'], $settings['options']['message_format'], $settings['options']['message_css'], $settings['options']['subscribed']);
-  
+
   return;
 }
 
-// Send email when account is created    
+// Send email when account is created
 function _user_import_send_email($account, $password, $profile, $subject, $body, $format, $css, $subscribed) {
 
-    global $base_url;
-    $from = variable_get('site_mail', ini_get('sendmail_from'));
-    
-    $variables = array(
-      '!username' => $account->name, 
-      '!uid' => $account->uid, 
-      '!site' => variable_get('site_name', 'drupal'), 
-      '!login_url' => user_pass_reset_url($account), 
-      '!password' => $password, 
-      '!uri' => $base_url, 
-      '!uri_brief' => drupal_substr($base_url, drupal_strlen('http://')), 
-      '!mailto' => $account->mail, 
-      '!date' => format_date(time()), 
-      '!login_uri' => url('user', NULL, NULL, TRUE), 
-      '!edit_uri' => url('user/'. $account->uid .'/edit', NULL, NULL, TRUE),
-    );
-    
-   	_user_import_publication_email($variables, $account, $subscribed, $format);
-
-    // import info to profile
-    if (module_exists('profile') && is_array($profile)) {
-      
-      $profile_name = _user_import_profile('fid', 'name');
-      
-      while (list ($fid, $field_name) = each ($profile_name)) {
-        $variables['!' . $field_name] = $profile[$fid];
-      }
+  global $base_url;
+  $from = variable_get('site_mail', ini_get('sendmail_from'));
+
+  $options['absulute'] = TRUE;
+
+  $variables = array(
+    '!username' => $account->name,
+    '!uid' => $account->uid,
+    '!site' => variable_get('site_name', 'drupal'),
+    '!login_url' => user_pass_reset_url($account),
+    '!password' => $password,
+    '!uri' => $base_url,
+    '!uri_brief' => drupal_substr($base_url, drupal_strlen('http://')),
+    '!mailto' => $account->mail,
+    '!date' => format_date(time()),
+    '!login_uri' => url('user', $options),
+    '!edit_uri' => url('user/'. $account->uid .'/edit', $options),
+  );
+
+  _user_import_publication_email($variables, $account, $subscribed, $format);
+
+  // import info to profile
+  if (module_exists('profile') && is_array($profile)) {
+    $profile_name = _user_import_profile('fid', 'name');
+    while (list ($fid, $field_name) = each ($profile_name)) {
+      $variables['!'. $field_name] = $profile[$fid];
     }
+  }
+
+  $subject = (empty($subject)) ? _user_mail_text('welcome_subject', $variables) : strtr($subject, $variables);
+  $subject = mime_header_encode($subject);
+  $body = (empty($body)) ? _user_mail_text('welcome_body', $variables) : strtr($body, $variables);
+  $body = str_replace("\r", '', $body);
+
+  $header = "From: $from\n";
+  $header .= "Reply-to: $from\n";
+  $header .= "X-Mailer: Drupal\n";
+  $header .= "Return-path: $from\n";
+  $header .= "Errors-to: $from\n";
+  $header .= 'MIME-Version: 1.0';
+  $header .= "\n";
 
-    $subject = (empty($subject)) ? _user_mail_text('welcome_subject', $variables) : strtr($subject, $variables);
-    $subject = mime_header_encode($subject);
-    $body = (empty($body)) ? _user_mail_text('welcome_body', $variables) : strtr($body, $variables);
-    $body = str_replace("\r", '', $body);
-    
-    $header = "From: $from\n";
-    $header .= "Reply-to: $from\n";
-    $header .= "X-Mailer: Drupal\n";
-    $header .= "Return-path: $from\n";
-    $header .= "Errors-to: $from\n";
-    $header .= 'MIME-Version: 1.0';
-    $header .= "\n"; 
-
-    if ($format == 1) {
-      
-      $header .= 'Content-Type: text/html; charset=UTF-8; Content-transfer-encoding: 8Bit'; 
-      
-      $body_head = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+  if ($format == 1) {
+
+    $header .= 'Content-Type: text/html; charset=UTF-8; Content-transfer-encoding: 8Bit';
+
+    $body_head = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
               <html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
               <head>
               <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />';
-              
-      if (!empty($css)) $body_head .= '<style type="text/css">' . check_plain($css) . '</style>';
-    
-      $body = $body_head . '</head><body>' . $body . '<body></html>';
-      
-    } else {
-      $header .= 'Content-Type: text/plain; charset=UTF-8; format=flowed Content-transfer-encoding: 8Bit';
-    }
 
-    //mail($account->mail, $subject, $body, $header);
-    return;
+    if (!empty($css)) $body_head .= '<style type="text/css">'. check_plain($css) .'</style>';
+
+    $body = $body_head .'</head><body>'. $body .'<body></html>';
+
+  }
+  else {
+    $header .= 'Content-Type: text/plain; charset=UTF-8; format=flowed Content-transfer-encoding: 8Bit';
+  }
+
+  //mail($account->mail, $subject, $body, $header);
+  return;
 }
 
-function _user_import_edit_settings_fields(&$form, $import, $collapsed) { 
+function _user_import_edit_settings_fields(&$form, $import, $collapsed) {
 
   $form['optional'] = array(
       '#type' => 'fieldset',
       '#title' => t('Options'),
       '#weight' => -85,
       '#collapsible' => TRUE,
-      '#collapsed' => $collapsed, 
+      '#collapsed' => $collapsed,
   );
 
   $form['optional']['update_users'] = array(
@@ -107,88 +114,88 @@ function _user_import_edit_settings_fiel
       '#default_value' => $import['options']['update_users'],
       '#description' => t('If the email address of a user being imported already exists, update the existing user details with the imported data.'),
   );
-  
+
   $form['optional']['first_line_skip'] = array(
       '#type' => 'checkbox',
       '#title' => t('Ignore First Line'),
       '#default_value' => $import['first_line_skip'],
       '#description' => t('If the first line is the names of the data columns, set to ignore first line.'),
   );
-  
+
   $form['optional']['contact'] = array(
       '#type' => 'checkbox',
       '#title' => t('Contact'),
       '#default_value' => $import['contact'],
       '#description' => t("Set each user's personal contact form to 'allowed'."),
   );
-  
+
   $form['optional']['send_email'] = array(
-      '#type' => 'checkbox',
-      '#title' => t('Send Email'),
-      '#default_value' => $import['send_email'],
-      '#description' => t('Send email to users when their account is created.'),
+    '#type' => 'checkbox',
+    '#title' => t('Send Email'),
+    '#default_value' => $import['send_email'],
+    '#description' => t('Send email to users when their account is created.'),
   );
-  
+
   $form['optional']['username_space'] = array(
       '#type' => 'checkbox',
       '#title' => t('Username Space'),
       '#default_value' => $import['username_space'],
       '#description' => t("Include spaces in usernames, e.g. 'John' + 'Smith' => 'John Smith'."),
   );
-  
+
   $form['optional']['activate'] = array(
       '#type' => 'checkbox',
       '#title' => t('Activate Accounts'),
       '#default_value' => $import['options']['activate'],
       '#description' => t("User accounts will not be visible to other users until their owner logs in. Select this option to make all imported user accounts visible."),
   );
-  
+
   return;
 }
 
 function _user_import_edit_template_fields(&$form, $import) {
-    
+
   // settings template update controls
   if (empty($import['name'])) {
-  
+
      // new settings template save controls
-      
+
       $form['save'] = array(
           '#type' => 'fieldset',
           '#title' => t('Save Settings'),
           '#description' => t('Save settings for re-use on other imports.'),
           '#weight' => 90,
           '#collapsible' => TRUE,
-          '#collapsed' => FALSE, 
+          '#collapsed' => FALSE,
       );
-      
-       $form['save']['name'] = array(
+
+      $form['save']['name'] = array(
           '#type' => 'textfield',
           '#title' => t('Settings Name'),
           '#size' => 26,
           '#maxlength' => 25,
           '#description' => t('Name to identify these settings by.'),
       );
-      
+
       $form['save'][] = array(
-          '#type' => 'submit', 
+          '#type' => 'submit',
           '#value' => t('Save'),
       );
 
-  } 
+  }
   else {
-      
+
       $form['save'] = array(
           '#type' => 'fieldset',
           '#title' => t('Saved Settings'),
           '#description' => t("If changes have neen made to the settings since they where last saved you can update the saved template, or save them as a new template."),
           '#weight' => 90,
           '#collapsible' => TRUE,
-          '#collapsed' => TRUE, 
+          '#collapsed' => TRUE,
       );
-      
+
       $form['save']['name'] = array(
-          '#type' => 'value', 
+          '#type' => 'value',
           '#value' => $import['name']
       );
 
@@ -197,56 +204,56 @@ function _user_import_edit_template_fiel
           '#title' => t('Update'),
           '#description' => t("Update '%name' settings template", array('%name' => $import['name'])),
       );
-      
+
       $form['save']['update']['submit'] = array(
-          '#type' => 'submit', 
+          '#type' => 'submit',
           '#value' => t('Update'),
       );
-          
+
       $form['save']['new'] = array(
           '#type' => 'fieldset',
           '#title' => t('Create New'),
           '#description' => t("Save as new settings template"),
       );
-      
-       $form['save']['new']['new_name'] = array(
+
+      $form['save']['new']['new_name'] = array(
           '#type' => 'textfield',
           '#title' => t('Save As New'),
           '#size' => 30,
           '#maxlength' => 25,
           '#description' => t('Name to identify these settings by.'),
       );
-      
+
       $form['save']['new'][] = array(
-          '#type' => 'submit', 
+          '#type' => 'submit',
           '#value' => t('Save As New'),
       );
 
   }
-  
+
   return;
 }
 
 
 function _user_import_edit_remove_fields(&$form, $import) {
-        
+
   $form['remove'] = array(
       '#type' => 'fieldset',
       '#title' => t('Use Different CSV File'),
       '#description' => t('Remove file to use a different file. All settings on this page will be deleted.'),
       '#weight' => -100,
       '#collapsible' => TRUE,
-      '#collapsed' => TRUE, 
+      '#collapsed' => TRUE,
   );
-  
+
   $form['remove']['file'] = array(
-      '#type' => 'item', 
+      '#type' => 'item',
       '#title' => t('Uploaded file'),
       '#value' => $import['filename']
   );
 
   $form['remove']['submit'] = array(
-      '#type' => 'submit', 
+      '#type' => 'submit',
       '#value' => t('Remove file')
   );
 
@@ -256,38 +263,38 @@ function _user_import_edit_remove_fields
 function _user_import_publication_email(&$variables, $account, $subscribed, $format) {
 
   if (!module_exists('publication') || !module_exists('schedule') || !module_exists('identity_hash')) {
-		return;
-	}
-	
-	
+    return;
+  }
+
+
 
   $id_hash = identity_hash_select_hash($account->uid);
   $variables['!id_hash'] = $id_hash->hash;
-  
+
   while (list($type, $subscriptions) = each($subscribed)) {
 
     while (list($publication_id, $shedule) = each($subscriptions)) {
 
       if (!empty($shedule[0])) {
- 
+
         $publication = publication_select_publications($type, $publication_id);
-				
-        $update_link = url('subscribed/preferences/' . $publication_id . '/' . $id_hash->hash, NULL, NULL, TRUE);
-        $unsubscribe_link = url('subscribed/delete/' . $publication_id . '/' . $id_hash->hash, NULL, NULL, TRUE);
-        
+
+        $update_link = url('subscribed/preferences/'. $publication_id .'/'. $id_hash->hash, NULL, NULL, TRUE);
+        $unsubscribe_link = url('subscribed/delete/'. $publication_id .'/'. $id_hash->hash, NULL, NULL, TRUE);
+
         if ($format == 1) {
-         
-          $variables['!subscribed_links'] .= '<strong>' . $publication->title . '</strong><br />' .
-          '<a href="' . $update_link . '">' . t('Update Preferences') . '</a> | <a href="' . $unsubscribe_link . '">' . t('Unsubscribe') . '</a><br />';
+
+          $variables['!subscribed_links'] .= '<strong>'. $publication->title .'</strong><br />'.
+          '<a href="'. $update_link .'">'. t('Update Preferences') .'</a> | <a href="'. $unsubscribe_link .'">'. t('Unsubscribe') .'</a><br />';
 
         }
         else {
-        
-          $variables['!subscribed_links'] .= $publication->title . "\n" .
-          ' - ' . t('Update Preferences') . ' ' . $update_link . '\n' .
-          ' - ' . t('Unsubscribe') . ' ' . $unsubscribe_link . '\n';
+
+          $variables['!subscribed_links'] .= $publication->title .'\n'.
+          ' - '. t('Update Preferences') .' '. $update_link .'\n'.
+          ' - '. t('Unsubscribe') .' '. $unsubscribe_link .'\n';
         }
       }
     }
-  }  
+  }
 }
